/******************************************************************************
* FILE PURPOSE: Install XDM compliant Encoder
******************************************************************************
* FILE NAME:   atkSupportedCodecs.c
*
* DESCRIPTION: Install XDM compliant Encoder
*
* TABS: NONE
*
*
* (C) Copyright 2011, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include <ti/mas/types/types.h>
#include <stdio.h>
#include <string.h>
#include "atkCodecAPI.h"
/*#include "atk_aac_he_enc.h"*/
/*#include "atk_aac_le_enc.h"*/
/*#include "atk_mp3_dec.h"*/

atkXdmVer_t atkGetXdmVer (const char *codecName)
{
    atkXdmVer_t ver = ATK_XDM_VER_NOT_DEFINED;

    if (strcmp(codecName, "MP3DEC")) {
       ver = ATK_XDM_VER_1P0;
    }
    if (strcmp(codecName, "AACHEENC")) {
       ver = ATK_XDM_VER_1P0;
    }
    if (strcmp(codecName, "AACLEENC")) {
       ver = ATK_XDM_VER_0P9;
    }

    return(ver);
}

audEncoderAPI_t supportedAudEncoders[] = {
    /*aacHEEncAPI,*/
    /*aacLEEncAPI,*/
    /* INSTALL MORE CODECS HERE */
    audEncNullAPI
};

audDecoderAPI_t supportedAudDecoders[] = {
    /*mp3DecAPI,*/
    /* INSTALL MORE CODECS HERE */
    audDecNullAPI
};

/* nothing past this point */
