/********************************************************************************
 * FILE PURPOSE: Provide definitions to interface full application modules
 ********************************************************************************
 * FILE NAME: diagappif.h
 *
 * DESCRIPTION: Provides definitions equivalent to those in the full application
 *				without requiring the inclusion of full application header files
 *				and all their dependencies.
 *
 * Copyright (C) 2005, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/


/* Definitions to interface the full app BERT module. Taken from mgmicdsp.h */
#define MGB_BERT_TELE_TX_ENABLE     0x0001
#define MGB_BERT_TELE_RX_ENABLE     0x0002
#define MGB_BERT_NET_TX_ENABLE		0x0004
#define MGB_BERT_NET_RX_ENABLE 		0x0008

#define MGB_BERT_PATTERN_RANDOM     0x0000
#define MGB_BERT_PATTERN_255        0x0001
#define MGB_BERT_PATTERN_RANDOM_ID  0x0002									  

#define MGB_BERT_TEL_7BIT           0x0001
#define MGB_BERT_NET_7BIT           0x0002

#define MGB_BERT_STATS_PERIODIC     0x0001
#define MGB_BERT_STATS_TRANS_TEL    0x0002
#define MGB_BERT_STATS_TRANS_NET    0x0004


#define MGB_BERT_REPORT_PERIODIC       0x0001
#define MGB_BERT_REPORT_TRANSITION     0x0002
#define MGB_BERT_REPORT_NET_SIDE       0x0004
#define MGB_BERT_REPORT_TEL_SIDE       0x0008

#define MGB_BERT_TEL_RX_SYNC    0x0001
#define MGB_BERT_TEL_RX_ERROR   0x0002

#define MGB_BERT_NET_RX_SYNC    0x0001
#define MGB_BERT_NET_RX_ERROR   0x0002

/* Packet type info that decoder gets from VPU - taken from vca.h */
typedef enum {
  VCA_PACKET_MORE_OFF,
  VCA_PACKET_MORE_ON,
  VCA_PACKET_REPLAY,
  VCA_PACKET_IDLE,
  VCA_PACKET_CLOCK,      /* clock packet */
  VCA_PACKET_BAD_MORE_OFF, /* Newly Added for quality indication */ /* ADDED 1/15/03 */
  VCA_PACKET_BAD_MORE_ON  /* Newly Added for quality indication */ /* ADDED 1/15/03 */
} vcaPktStatus_t;




