#ifndef _DSIUBOOT_H
#define _DSIUBOOT_H
/******************************************************************************
 * FILE PURPOSE: Prototype for all processor specific boot functions
 ******************************************************************************
 * FILE NAME: dsiuboot.h
 *
 * DESCRIPTION: Provides proto types for the core boot functions for all
 *              CPUs supported by the boot loader. This file should only be
 *              included by the boot loader code file and diagcfg.c
 *
 * TABS: None
 *
 * Copyright (C) 2002, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include "types.h"
#include "dsiuloc.h"

/* c5561 Janus boot function */
dsiuCoreBootReturn_t c5561CoreBoot (tint core, tulong entry);

dsiuCoreBootReturn_t c6416CoreBoot (tint core, tulong entry);
dsiuCoreBootReturn_t himCoreBoot (tint core, tulong entry);
dsiuCoreBootReturn_t kailashCoreBoot (tint core, tulong entry);
dsiuCoreBootReturn_t c64lcCoreBoot (tint core, tulong entry);

dsiuReturn_t himI2cBootInfo (dsiuPrevBootInfo_t *info);

dsiuCoreBootReturn_t tmhwkCoreBoot (tint core, tulong entry);
dsiuCoreResetReturn_t tmwhkCoreReset (tint core);
dsiuCoreResetReturn_t kailashCoreReset (tint core);
dsiuCoreResetReturn_t c64lcCoreReset (tint core);

dsiuCoreBootReturn_t nyshCoreBoot (tint core, tulong entry);
dsiuCoreResetReturn_t nyshCoreReset (tint core);
dsiuReturn_t nyshRomBootInfo (dsiuPrevBootInfo_t *info);

dsiuReturn_t tmhwkRomBootInfo (dsiuPrevBootInfo_t *info);
dsiuReturn_t kailashRomBootInfo (dsiuPrevBootInfo_t *info);
dsiuReturn_t c64lcRomBootInfo (dsiuPrevBootInfo_t *info);

#endif /* _DSIUBOOT_H */





