/*****************************************************************************
 * FILE PURPOSE: Message table definition
 ******************************************************************************
 * FILE NAME: dsiumtbl.c
 *
 * DESCRIPTION: Declares the message table used for the diag code. 
 *              
 * TABS: None
 *
 * Copyright (C) 2002, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include "types.h"
#include "dsiumsg.h"
#include <stdlib.h>


dsiuMsgTableElement_t globMsgTableElement[] = {
  DMSG_HD_MSG_ID_REQ_MEM_READ,       dsiuMsgReqMemRead,
  DMSG_HD_MSG_ID_REQ_MEM_WRITE,      dsiuMsgReqMemWrite,
  DMSG_HD_MSG_ID_REQ_MEM_COPY,       dsiuMsgReqMemCopy,
  DMSG_HD_MSG_ID_REQ_MEM_CHECKSUM,   dsiuMsgReqMemChecksum,
  DMSG_HD_MSG_ID_BOOT_CORE_CONTROL,  dsiuMsgBootCoreControl,
  DMSG_HD_MSG_ID_DIAG_CODE_CONTROL,  dsiuMsgDiagCodeControl,
  DMSG_HD_MSG_ID_STATUS_REQUEST,     dsiuMsgStatusRequest,
  DMSG_HD_MSG_ID_SYS_CHKSUM,         dsiuMsgSysChecksum,

#ifdef DSIU_SIMULATE_APPLICATION
  DMSG_HD_MSG_ID_HW_CONFIG,          dsiuMsgHwConfig,
  DMSG_HD_MSG_ID_CH_CONFIG,          dsiuMsgChConfig,
  DMSG_HD_MSG_ID_TDM_PORT_CFG,       dsiuMsgTdmPortConfig,
#endif

  DMSG_HD_MSG_ID_EMIF_CONFIG,        dsiuMsgEmifCfg,
  0,                                 NULL
};  



