/*****************************************************************************
 * FILE PURPOSE: Linker Command file
 ****************************************************************************
 * FILE NAME: bootlnk.cmd
 *
 * DESCRIPTION: Linker memory placement
 *
 * Copyright (C) 2002 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
/* object Files */

/* DSIU */
../dsiu/c64x/make/dsiumain.oc
../dsiu/c64x/make/dsiuini.oc
../dsiu/c64x/make/dsiufifo.oc
../dsiu/c64x/make/dsiuubt.oc
../dsiu/c64x/make/dsiumsg.oc
../dsiu/c64x/make/dsiumtbl.oc
../dsiu/c64x/make/dsiuhdm.oc
../dsiu/c64x/make/dsiumem.oc 
../dsiu/c64x/make/diagreg.oc
../dsiu/c64x/make/siuutndu.oc
../dsiu/c64x/make/siuutmdu.oc
../dsiu/c64x/make/siunducom.oc
../dsiu/c64x/make/dsiuneu.oc
../dsiu/c64x/make/dsiuif.oc
../dsiu/c64x/make/dsiumchk.oc
../dsiu/c64x/make/dsiu6416.oc

/* Configuration file */
../dcfg/c64x/make/diagcfg.oc

/* DAAL5 */
../daal5/c64x/make/daal5.oc
../daal5/c64x/make/aal5txrx.oc
../daal5/c64x/make/crc32tbl.oc

/* Application neu files */
../../neu/c64x/make/neu.oc
../../neu/c64x/make/neuinit.oc
neutxrx.oc

/* DMISC */
../dmisc/c64x/make/utlrepck.oc
../dmisc/c64x/make/util_s.oa
../dmisc/c64x/make/utlfifo.oc
../dmisc/c64x/make/util.oc    


/* Platform Specific */
../dtmp/c64x/make/vectors.oa
../dtmp/c64x/make/boot.oa
../dtmp/c64x/make/thwcritsec.oa 
../dtmp/c64x/make/targethw.oc

/* HAL related files */
../../hal/c64x/c6416/make/memmvhal.oc
../../hal/c64x/c6416/make/ehpihal.oc
../../hal/c64x/c6416/make/timerhal.oc
../../hal/c64x/c6416/make/ul2init.oc
../../hal/c64x/c6416/make/ul2isr.oc
../../hal/c64x/c6416/make/ul2hal.oc
../../hal/c64x/c6416/make/hal.oc
../../hal/c64x/c6416/make/halinit.oc
../../hal/c64x/c6416/make/cslisr.oc
../../hal/c64x/c6416/make/cslisr_s.oa
../../hal/c64x/c6416/make/isrcntxt.oa
../../hal/c64x/c6416/make/cslintc.oc
../../hal/c64x/c6416/make/cpuutils.oc
../../hal/c64x/c6416/make/cslmcbsp.oc
../../hal/c64x/c6416/make/csltimer.oc
../../hal/c64x/c6416/make/cslpll.oc
../../hal/c64x/c6416/make/csledma.oc
../../hal/c64x/c6416/make/cslutopia.oc
../../hal/c64x/c6416/make/cslemif.oc
../../hal/c64x/c6416/make/pllhal.oc
../../hal/c64x/c6416/make/gpiohal.oc
../../hal/c64x/c6416/make/icache.oc
../../hal/c64x/c6416/make/memhal.oc

/* DSP information */
../../ver/c64x/make/cdspver.oc

c6416\rts6400.lib


/* Linker options */
-c
-a
-stack    0x0800
-e VECTORS 

MEMORY
{
    VECS:       origin = 0x000    length = 0x200

    HEAP:       origin = 0xDA000 length = 0x5000
    UL2TX:      origin = 0xDF000 length = 0x0C00 
    UL2RX:      origin = 0xE0000 length = 0x0C00  
    HALHEAP:    origin = 0xE1000 length = 0x2C00
    BHEAP:      origin = 0xE3C00 length = 0x5c00 
/*  HEAP:       origin = 0xE9800 length = 0x0300*/

    STACK:      origin = 0xE9B00 length = 0x0800
    CINIT:      origin = 0xEA300 length = 0x0600
    REGIST:     origin = 0xEA900 length = 0x0100
    BSS:        origin = 0xEAA00 length = 0x0100
    DATA:       origin = 0xEAB00 length = 0x0500

    PRG_INIT  : origin = 0xEB000  length = 0x3000   /*     Unreserved         */
    PRG1:       origin = 0xEE000  length = 0x2000
    PRG_BOOT  : origin = 0xF0000  length = 0xF000   /*  Bootloader reserved   */
    DIAG_APP  : origin = 0xFF000  length = 0x0100   /* Diag to App exchange   */
    STATUS    : origin = 0xFF100  length = 0x0004  
    BOOT_TRACK: origin = 0xFF110  length = 0x0010 

    DUMMY_PRG:       origin = 0x90000 length = 0x20000
    DUMMY_DAT:       origin = 0xB0000 length = 0x20000

    DSPIMAGE  : origin = 0xFFE00, length = 0x0100
    /********************************************************************************/
    /* Section for dsp build information. In the bootloader there                   */
    /* is no built in mechanism to send this data to the host since there is no     */
    /* restart indication. It can be read using mem_read. It is placed in a memory  */
    /* address range that is not initialized by the bootloader.                     */
    /********************************************************************************/

}

/**************************************************************************
 * Unused memory check sections
 **************************************************************************/
__lcf_local_data_block1_start = 0;
__lcf_local_data_block1_end   = 0;

__lcf_local_data_block2_start = 0;
__lcf_local_data_block2_end   = 0;

__lcf_local_data_block3_start = 0;
__lcf_local_data_block3_end   = 0;

__lcf_local_data_block4_start = 0;
__lcf_local_data_block4_end   = 0;

__lcf_local_data_block5_start = 0;
__lcf_local_data_block5_end   = 0;

__lcf_local_prog_block1_start = 0;
__lcf_local_prog_block1_end   = 0;

__lcf_local_prog_block2_start = 0;
__lcf_local_prog_block2_end   = 0;

__lcf_local_prog_block3_start = 0;
__lcf_local_prog_block3_end   = 0;

__lcf_local_prog_block4_start = 0;
__lcf_local_prog_block4_end   = 0;

__lcf_local_prog_block5_start = 0;
__lcf_local_prog_block5_end   = 0;

__lcf_shared_prog_block1_start = 0;
__lcf_shared_prog_block1_end   = 0;
     
__lcf_shared_prog_block2_start = 0;
__lcf_shared_prog_block2_end   = 0;
     
__lcf_shared_prog_block3_start = 0;
__lcf_shared_prog_block3_end   = 0;
     
__lcf_shared_prog_block4_start = 0;
__lcf_shared_prog_block4_end   = 0;
     
__lcf_shared_prog_block5_start = 0;
__lcf_shared_prog_block5_end   = 0;

__lcf_shared_data_block1_start = 0;
__lcf_shared_data_block1_end   = 0;

__lcf_shared_data_block2_start = 0;
__lcf_shared_data_block2_end   = 0;

__lcf_shared_data_block3_start = 0;
__lcf_shared_data_block3_end   = 0;

__lcf_shared_data_block4_start = 0;
__lcf_shared_data_block4_end   = 0;

__lcf_shared_data_block5_start = 0;
__lcf_shared_data_block5_end   = 0;


SECTIONS
{
   /* Dummy sections are used to pass reloactable linker sections to the
    * diag program */
   "vectors"   >       VECS
   .switch  > PRG1     
   .stack   > STACK   
   .sysstack > STACK 

   .dummy1 type=DSECT > BOOT_TRACK
   {
     __boot_track_ = .;
   }

   .dummy2 type=DSECT > BHEAP
   {
     __lcf_boot_heap_buf_start = .;
     . += 0x5c00;
     __lcf_boot_heap_buf_end = .;
   } 

   .dummy3 type=DSECT  > HEAP
   {
     __lcf_diag_heap_buf_start = .;
     . += 0x5000;
     __lcf_diag_heap_buf_end = .;
   } 

   .diagRegs > REGIST
   {
     __lcf_config_addr = .;
   } 

   .dummyStatus type=DSECT > STATUS
   {
     __lcf_boot_status = .;
   }

   .dummy6 type=DSECT > HALHEAP
   {
     __lcf_hal_heap_start = .;
     . += 0x02C00;
    __lcf_hal_heap_end = .;
   } 
     
   .dummy7 type=DSECT > UL2RX
   {
     __lcf_hal_pkt_rx_a_start = .;
     . += 0x0C00;
     __lcf_hal_pkt_rx_a_end = .;
   }
   
   .dummy8 type=DSECT > UL2TX
   {
     __lcf_hal_pkt_tx_a_start = .;
     . += 0x0C00;
     __lcf_hal_pkt_tx_a_end = .;
   }


   .text1 > PRG_INIT
   {
     dsiuini.oc (.text)
     dsiuubt.oc (.text)
     dsiumem.oc (.text)
     diagreg.oc (.text)
     ../../hal/c64x/c6416/make/icache.oc (.text)
     ../../hal/c64x/c6416/make/memhal.oc (.text)
   *(.progOverlay)
   } 

   /* The PRG_BOOT section must take only files which are required while the
    * program is operating in bootloader mode. Initialization files should
    * go into PRG_INIT */
   .textdum > DUMMY_PRG
   {
        ../dsiu/c64x/make/dsiu6416.oc(.text)
   }

   .datdum > DUMMY_DAT
   {
        ../dsiu/c64x/make/dsiu6416.oc(.bss)
        ../dsiu/c64x/make/dsiu6416.oc(.data)
        ../dsiu/c64x/make/dsiu6416.oc(.const)
        ../dsiu/c64x/make/dsiu6416.oc(.cinit)
   }


   .textBOOT > PRG_BOOT
   {
   
   ../dtmp/c64x/make/boot.oa(.text)
   ../dtmp/c64x/make/vectors.oa(.text)

   ../../hal/c64x/c6416/make/hal.oc(.text)
   ../../hal/c64x/c6416/make/halinit.oc(.text)
   ../../hal/c64x/c6416/make/cslisr.oc(.text)
   ../../hal/c64x/c6416/make/cslintc.oc(.text)
   ../../hal/c64x/c6416/make/memmvhal.oc(.text)
   ../../hal/c64x/c6416/make/ul2init.oc(.text)
   ../../hal/c64x/c6416/make/ul2isr.oc(.text)
   ../../hal/c64x/c6416/make/ul2hal.oc(.text)
   ../../hal/c64x/c6416/make/cslutopia.oc(.text)
   ../../hal/c64x/c6416/make/cpuutils.oc(.text)
   ../../hal/c64x/c6416/make/csledma.oc (.text)

   ../dsiu/c64x/make/dsiuhdm.oc(.text)
   ../dsiu/c64x/make/dsiufifo.oc(.text)
   ../dsiu/c64x/make/dsiumsg.oc(.text)
   ../dsiu/c64x/make/dsiumain.oc(.text)
   ../dsiu/c64x/make/dsiumchk.oc(.text)
   ../dsiu/c64x/make/siuutndu.oc(.text)
   ../dsiu/c64x/make/siuutmdu.oc(.text)

   ../dmisc/c64x/make/utlfifo.oc(.text)
   ../dmisc/c64x/make/utlrepck.oc(.text)
   ../dmisc/c64x/make/util_s.oa(.text)

    c6416\rts6400.lib(.text)
    *(.text)
   } 

   .bss: fill = 0x00 > BSS
   {
       __bss_core_begin = .;
       *(.bss)
       __bss_core_end = .;
   } 

   .cinit > CINIT
   {
       __core_cinit = .;
       *(.cinit)
   } 

   .data > DATA
   {
       *(.data)
   } 

   .const > DATA
   {
       *(.const)
   } 

    DSP_IMAGE  > DSPIMAGE
}



