#*********************************************************************************
#* FILE PURPOSE: Define diag specific variables for c64x
#*********************************************************************************
#* FILE NAME: diagdefs.mk
#*
#* DESCRIPTION: Make include file which defines variables by all diag Makefiles
#*
#* Copyright (C) 2006, Texas Instruments Incorporated
# * 
# *  Redistribution and use in source and binary forms, with or without 
# *  modification, are permitted provided that the following conditions 
# *  are met:
# *
# *    Redistributions of source code must retain the above copyright 
# *    notice, this list of conditions and the following disclaimer.
# *
# *    Redistributions in binary form must reproduce the above copyright
# *    notice, this list of conditions and the following disclaimer in the 
# *    documentation and/or other materials provided with the   
# *    distribution.
# *
# *    Neither the name of Texas Instruments Incorporated nor the names of
# *    its contributors may be used to endorse or promote products derived
# *    from this software without specific prior written permission.
# *
# *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
# *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
# *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
# *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
# *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
# *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
# *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
# *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# *
# */

# Include files for standard modules.  Also used by linker to find
# library files.
FSTDINC  =$(TOOLSC6XCGENDOS)/include
FSTDINC +=;$(TOOLSBIOSDOS)/ti/rtdx/include;$(TOOLSBIOSDOS)/ti/rtdx/lib
FSTDINC +=;$(TOOLSBIOSDOS)/ti/bios/include;$(TOOLSBIOSDOS)/ti/bios/lib
FSTDINC +=;$(TOOLSBIOSDOS)/ti/xdais/include
FSTDINC +=;$(ECODIR)/$(CPUDIR);$(ECODIR);$(DIAGROOT)/dmisc;$(DIAGROOT)/dmisc/c64x
FSTDINC +=;$(GGROOT)/misc;$(GGROOT)/misc/c64x
FSTDINC +=;$(GGROOT)/../inc;$(GGROOT)/../inc/ecoif;$(GGROOT)/../inc/c64x
FSTDINC +=;$(GGROOT)/memory;$(GGROOT)/memory/c64x
FSTDINC +=;$(GGROOT)/mkrel/rtsc
FSTDINC +=;$(TOOLSXDCDOS)/packages
ifneq ($(findstring $(EMUPROF),yesYES),)
# For emureg.h, for hw profiling, in itdm build
FSTDINC +=;$(GGROOT)/hw/$(CPUDIR)
endif
FSTDINC +=;$(XDCINC)

# compiler doesn't like quotes in its search path
DIAGSTDINC =$(subst ",,$(FSTDINC))

# Additional library search path for diag/boot
DIAGLIBPATH=-i=$(subst ;, -i=,$(XDCINC))

# Nothing past this point
