/*****************************************************************************
 * FILE PURPOSE: Linker Command file
 ****************************************************************************
 * FILE NAME: diaglnk.cmd
 *
 * DESCRIPTION: Linker memory placement
 *
 * Copyright (C) 2002 Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

_lcf_boot_heap_buf_start       = __lcf_boot_heap_buf_start;
_lcf_boot_heap_buf_end         = __lcf_boot_heap_buf_end;
_lcf_diag_heap_buf_start       = __lcf_diag_heap_buf_start;
_lcf_diag_heap_buf_end         = __lcf_diag_heap_buf_end;
_lcf_hal_gmac_rx_a_start       = __lcf_hal_gmac_rx_a_start;
_lcf_hal_gmac_rx_a_end         = __lcf_hal_gmac_rx_a_end;
_lcf_hal_gmac_rx_assem_a_start = __lcf_hal_gmac_rx_assem_a_start;
_lcf_hal_gmac_rx_assem_a_end   = __lcf_hal_gmac_rx_assem_a_end;
_lcf_hal_gmac_tx_a_start       = __lcf_hal_gmac_tx_a_start;
_lcf_hal_gmac_tx_a_end         = __lcf_hal_gmac_tx_a_end;
_lcf_hal_heap_start            = __lcf_hal_heap_start;
_lcf_hal_heap_end              = __lcf_hal_heap_end;

_lcf_cppi_drv_start            = __lcf_cppi_drv_start;
_lcf_cppi_drv_end              = __lcf_cppi_drv_end;
_lcf_qmss_drv_start            = __lcf_qmss_drv_start;
_lcf_qmss_drv_end              = __lcf_qmss_drv_end;


boverlay_load_start            = _boverlay_load_start;
boverlay_run_start             = _boverlay_run_start;
boverlay_load_size             = _boverlay_load_size;

/* object Files */

/* DSIU */
../dsiu/c64x/make/siuutndu.oc
../dsiu/c64x/make/siuutmdu.oc
../dsiu/c64x/make/siunducom.oc
../dsiu/c64x/make/dsiumain.oc
../dsiu/c64x/make/dsiuini.oc
../dsiu/c64x/make/dsiumacbt1.oc
../dsiu/c64x/make/dsiuboot.oc
../dsiu/c64x/make/dsiumacbt.oc
../dsiu/c64x/make/dsiutask.oc
../dsiu/c64x/make/dsiufifo.oc
../dsiu/c64x/make/dsiumsg.oc
../dsiu/c64x/make/dsiumtbl.oc
../dsiu/c64x/make/dsiuhdm.oc
../dsiu/c64x/make/dsiumem.oc
../dsiu/c64x/make/diagreg.oc
../dsiu/c64x/make/dsiunwal.oc
../dsiu/c64x/make/dsiunwosal.oc
../dsiu/c64x/make/siugmndu.oc
../dsiu/c64x/make/siugmmdu.oc
../dsiu/c64x/make/dsiumchk.oc
../dsiu/c64x/make/dsiumchkgen.oc
../dsiu/c64x/make/dsiuc64xp.oa
../dsiu/c64x/make/ddpram.oc
../dsiu/c64x/make/dsiuneu.oc
../dsiu/c64x/make/dsiuif.oc

/* Configuration files */
../dcfg/c64x/make/diagcfg.oc
../dcfg/c64x/make/diagbuf.oc

/* DMISC */
../dmisc/c64x/make/utlfifo.oc
../dmisc/c64x/make/dmisc.oc

/* Platform Specific */
/* ../dtmp/c64x/make/boot.oa  */
../dtmp/c64x/make/thwcritsec.oa 
../dtmp/c64x/make/targethw.oc
../dsiu/c64x/make/dsiushannon.oc

-l ../../misc/c64x/make/misc.lib
-l ../../hal/c64x/shannon/make/hal.lib

/* DSP information */
../../ver/c64x/make/cdspver.oc

../dsiu/c64x/make/dsiunwinit.oc

/* Linker options */
-c
-a
-stack    0x1440
-heap     0x6000
-x

MEMORY
{

/**************************************************************************
   *                 SHANNON MEMORY MAP
   *
   * Local L2:  0x0080_0000
   *            0x0087_FFFF  (512K)
   *
   * MSMC SRAM: 0x0C00_0000
   *            0x0C3F_FFFF  (4M)
   *
   ***************************************************************************/

  PAGE 0:

    /**************************************************************************
     * The DiagApp section must be in the same place in the application
     * to be booted.
     ***************************************************************************/
    DIAGAPP:    origin = 0x0C000200  length = 0x00000100  /* Bootloader Reserved */

    /***************************************************************************
     * The base of L2 is unreserved. The boot redirect code in the application
     * is typically placed here.
     ***************************************************************************/
    BOOT_REDIR: origin = 0x00800000  length = 0x00000020      /* Bootloader Unreserved */

    /***************************************************************************
     * The vectors, including the reset vector, are placed at the base of L2.
     * Reserved memory follows at the base of local L2.
     ***************************************************************************/
    ISRCXT:     origin = 0x00800020  length = 0x000003E0      /* Bootloader Reserved */
    VECS:       origin = 0x00800400  length = 0x00000200      /* Bootloader Reserved */
    ISRCXT2:    origin = 0x00800600  length = 0x00000100      /* Bootloader Reserved */
    STACK:      origin = 0x00800700  length = 0x00001440      /* Bootloader Reserved */
    PRG_RSVD:   origin = 0x00801B40  length = 0x0001D600      /* Bootloader Reserved */
    CONST:      origin = 0x0081F140  length = 0x000054B0      /* Bootloader Reserved */
    BSS:        origin = 0x008245F0  length = 0x00000C00      /* Bootloader Reserved */
    PRG_RSVD2:  origin = 0x008251F0  length = 0x00001650      /* Bootloader Reserved */ 
    BHEAP:      origin = 0x00826840  length = 0x00002300      /* Bootloader Reserved */
    HALHEAP:    origin = 0x00828B40  length = 0x00000200      /* Bootloader Reserved */
    GMACTX1:    origin = 0x00828D40  length = 0x00001000      /* Bootloader Reserved */
    GMACRX1:    origin = 0x00829D40  length = 0x00001000      /* Bootloader Reserved */
    GMACASSEM1: origin = 0x0082AD40  length = 0x00000600      /* Bootloader Reserved */

    /****************************************************************************
     * The Status registers are used for boot failure analysis
     ****************************************************************************/
    STATUS:     origin = 0x0082B340  length = 0x00000040      /* Bootloader Reserved */
    CNTRL:      origin = 0x0082B380  length = 0x00000020      /* Bootloader Reserved */
    MSGCFG:     origin = 0x0082B3A0  length = 0x00000080      /* Bootloader Reserved */
    MSG_SHADOW: origin = 0x0082B420  length = 0x00000080      /* Bootloader Reserved */
    BOOTSTATUS: origin = 0x0082B4A0  length = 0x00000020      /* Bootloader Reserved */

    /****************************************************************************
     * The local L2 buffers used for DDR check. Reserved by boot
     ****************************************************************************/
    L2_SRC:     origin = 0x0082B4C0  length = 0x00000100      /* Bootloader Reserved */
    L2_DST:     origin = 0x0082B5C0  length = 0x00000100      /* Bootloader Reserved */

/*******************************************************************************
 *                    SHARED DATA BUFFERS
 *******************************************************************************/

    QM_MEM_DESC_RAM:            origin = 0x0082B6C0  length = 0x00001700
    CPPI_MEM_TX_CTL_LINK_RAM:   origin = 0x0082CDC0  length = 0x00000800
    CPPI_MEM_TX_PKT_LINK_RAM:   origin = 0x0082D5C0  length = 0x00000D00
    CPPI_MEM_RX_CTL_LINK_RAM:   origin = 0x0082E2C0  length = 0x00000800 
    CPPI_MEM_RX_PKT_LINK_RAM:   origin = 0x0082EAC0  length = 0x00004F00 

/*******************************************************************************
 *                    SHARED DRIVER DATA
 *******************************************************************************/
    DSIU_NWAL_GLOB_CONTEXT:     origin = 0x0008339C0  length = 0x00000200
    NWAL_INSTANCE:              origin = 0x000833BC0  length = 0x00002200
    PA_BUFF_RAM:                origin = 0x000835DC0  length = 0x000002A0
    CPPI_DRV:                   origin = 0x000836060  length = 0x00000300
    QMSS_DRV:                   origin = 0x000836360  length = 0x00002400

    /* this must be filled with 0x167eb0e7.  Since fill=0x167eb0e7 isn't
     * working for ELF, there is a trick assigning 
     * dsiuNwGlobInit = dsiuNwGlobInitConsts in the target specific cmd
     * (such as diagapplnkLE.cmd)
     */
    DSIU_NW_GLOB_INIT:          origin = 0x000838760  length = 0x000000B0


    DATA_HPI:   origin = 0x00838810  length = 0x00000200 
    SYS_HEAP:   origin = 0x00838A10  length = 0x00006500 
	FARDATA:    origin = 0x0083EF10  length = 0x00000800
    FREE3:      origin = 0x0083F710  length = 0x000008F0 

    /*****************************************************************************
     * Unreserved Memory (0x00840000-0x0087FFFF) -- sync with SYSCHK_CORE0_L2
     *****************************************************************************/
    PRG_UN:     origin = 0x00840000  length = 0x00002F00      /* Unreserved */
    CINIT:      origin = 0x00842F00  length = 0x00000C00      /* Unreserved */

    DDR:        origin = 0x80000000  length = 0x00000100    /* Unreserved */


    L1D_MAPED:  origin = 0x10F00000  length = 0x00003fff

    /* This contains the parameters passed from the chip bootloader to this bootloader */
    /* It is consumed by the bootloader before the checksum is initialized */
    BPARAM:     origin = 0x00873680  length = 0x00000080      /* Bootloader unreserved */
    L2_CACHE:   origin = 0x00878000  length = 0x00008000      /* Bootloader Reserved */

PAGE 2:
  /*******************************************************************************
   * Page 2 is used to define the system checksum memory test. The memory
   * test is defined for all cores, but assumes that only core A  is running
   * this code. Other cores can run the code, but if they run the sys checksum
   * clear command from the host they would destroy themselves.
   *
   * If the size of reserved memory grows then the start address and sizes
   * for core A must be changed as well.
   *
   *******************************************************************************/
   SYSCHK_SHVECS:   origin = 0x0c000000  length = 0x00000200  /* boot unreserved (for vectors) */
   /* There is a hole at     0x0c000200 for DIAG_APP */
   SYSCHK_SHARED:   origin = 0x0c000300  length = 0x003FFD00  /* rest of unreserved */
   SYSCHK_CORE0_RD: origin = 0x10800000  length = 0x00000020  /* Boot redirection     */
   SYSCHK_CORE0_L2: origin = 0x10840000  length = 0x00030000  /* Last 64k is cache!!! */
   SYSCHK_CORE1_L2: origin = 0x11800000  length = 0x00070000
   SYSCHK_CORE2_L2: origin = 0x12800000  length = 0x00070000
   SYSCHK_CORE3_L2: origin = 0x13800000  length = 0x00070000
   SYSCHK_CORE4_L2: origin = 0x14800000  length = 0x00070000
   SYSCHK_CORE5_L2: origin = 0x15800000  length = 0x00070000
   SYSCHK_CORE6_L2: origin = 0x16800000  length = 0x00070000
   SYSCHK_CORE7_L2: origin = 0x17800000  length = 0x00070000

   SYSCHK_DDR3:     origin = 0x9E600000  length = 0x007F0000  /* shared DDR3 direct mapped in mpax */


PAGE 3:

    /*****************************************************************************
     * Boot information left by the chip boot loader
     * This is not reserved. It cannot be moved unless the ROM code on the
     * device is changed. This memory becomes cache but only after the
     * required information is extracted.
     *****************************************************************************/
    CHIPBOOT:   origin = 0x00873680  length = 0x00000080      /* Unreserved */

    EXT_MEM:    origin = 0x80000000  length = 0x00800000

PAGE 4:
 /********************************************************************************/
 /* PAGE 4 is used only for the dsp build information. In the bootloader there   */
 /* is no built in mechanism to send this data to the host since there is no     */
 /* restart indication. It can be read using mem_read. It is placed in a memory  */
 /* address range that is not initialized by the bootloader.                     */
 /********************************************************************************/

    DSPIMAGE:   origin = 0x0087FF80  length = 0x00000080        /* Unreserved */

}

/* Boot overlay is not used */
_boverlay_load_start = 0;
_boverlay_run_start  = 0;
_boverlay_load_size  = 0;


SECTIONS
{
   /* Dummy sections are used to pass reloactable linker sections to the
    * diag program */
   .vectors    > VECS      PAGE 0
   .switch     > PRG_RSVD PAGE 0
   .stack      > STACK     PAGE 0
   .sysstack   > STACK     PAGE 0
   .const      > CONST     PAGE 0
   .sysmem     > SYS_HEAP PAGE 0

   .l2src  > L2_SRC
   .l2dst  > L2_DST
   .ddrmem > DDR

   .diagApp    > DIAGAPP   PAGE 0   type = NOINIT
   .chipBoot   > CHIPBOOT  PAGE 3   type = NOINIT
   .boot_redir > BOOT_REDIR  

   .QMemDescRam > QM_MEM_DESC_RAM PAGE 0 type = NOINIT    
   .cppiMemRXLinkRamQ1 > CPPI_MEM_RX_CTL_LINK_RAM PAGE 0 type = NOINIT
   .cppiMemTXLinkRamQ1 > CPPI_MEM_TX_CTL_LINK_RAM PAGE 0 type = NOINIT
   .cppiMemRXLinkRamQ2 > CPPI_MEM_RX_PKT_LINK_RAM PAGE 0 type = NOINIT
   .cppiMemTXLinkRamQ2 > CPPI_MEM_TX_PKT_LINK_RAM PAGE 0 type = NOINIT

   .dsiuNwGlobContext > DSIU_NWAL_GLOB_CONTEXT      PAGE 0  type = NOINIT

   .nwalInstMem   > NWAL_INSTANCE PAGE 0 type = NOINIT
   .nwalHandleMem > NWAL_INSTANCE PAGE 0 type = NOINIT

   .paBuf0 > PA_BUFF_RAM PAGE 0 type = NOINIT
   .paBuf1 > PA_BUFF_RAM PAGE 0 type = NOINIT
   .paBuf2  > PA_BUFF_RAM PAGE 0 type = NOINIT

   .cppi > CPPI_DRV START(__lcf_cppi_drv_start) END(__lcf_cppi_drv_end) PAGE 0 type = NOINIT
   .qmss > QMSS_DRV START(__lcf_qmss_drv_start) END(__lcf_qmss_drv_end) PAGE 0 type = NOINIT

    /* Fill the GLOB_INIT with fixed random value. Should match to DSIU_NW_GLOB_INIT_STATE_MAGIC1 */
   .dsiuNwGlobInit > DSIU_NW_GLOB_INIT

   .dpram TYPE=DSECT > DATA_HPI PAGE 0
   .dpram_ini        > DATA_HPI PAGE 0


   .dregStatus       > STATUS     PAGE 0
   .dregMasterCntrl  > CNTRL      PAGE 0
   .dregBootTrack    > BOOTSTATUS PAGE 0
   .dregMsgCfg       > MSGCFG     PAGE 0

   .dregMsgCfgShadow    > MSG_SHADOW PAGE 0

   .progOverlay > PRG_UN   PAGE 0

   .freqUsedProg > PRG_RSVD PAGE 0
   .tdm2pktProg  > PRG_RSVD PAGE 0
   .controlProg  > PRG_RSVD2 PAGE 0
   .pkt2tdmProg  > PRG_RSVD2 PAGE 0
   .tdm2pktpkt2tdmProg > PRG_RSVD2 PAGE 0
   .initProg     > PRG_RSVD PAGE 0

   .ddr_buffers > EXT_MEM PAGE 3     type = NOINIT
   .l1d_buffers > L1D_MAPED PAGE 0   type = NOINIT

   .sys_blk00     > SYSCHK_SHARED    PAGE 2     type = NOINIT
   .sys_blk01     > SYSCHK_CORE0_L2  PAGE 2     type = NOINIT
   .sys_blk02     > SYSCHK_CORE1_L2  PAGE 2     type = NOINIT
   .sys_blk03     > SYSCHK_CORE2_L2  PAGE 2     type = NOINIT
   .sys_blk04     > SYSCHK_CORE3_L2  PAGE 2     type = NOINIT
   .sys_blk05     > SYSCHK_CORE4_L2  PAGE 2     type = NOINIT
   .sys_blk06     > SYSCHK_CORE5_L2  PAGE 2     type = NOINIT
   .sys_blk07     > SYSCHK_CORE6_L2  PAGE 2     type = NOINIT
   .sys_blk08     > SYSCHK_CORE7_L2  PAGE 2     type = NOINIT
   .sys_blk09     > SYSCHK_DDR3      PAGE 2     type = NOINIT
   .sys_blk10     > SYSCHK_CORE0_RD  PAGE 2     type = NOINIT
   .sys_blk11     > SYSCHK_SHVECS    PAGE 2     type = NOINIT

   /* The diag heap is only two bytes, so drop it into the data section */
   .diagHeap > CONST PAGE 0
   {
     __lcf_diag_heap_buf_start = .;
     ../dcfg/c64x/make/diagbuf.oc(.diagHeap)
     __lcf_diag_heap_buf_end = .;
   } 

   .bootHeap > BHEAP PAGE 0
   {
     __lcf_boot_heap_buf_start = .;
     ../dcfg/c64x/make/diagbuf.oc(.bootHeap)
     __lcf_boot_heap_buf_end = .;
   } 

     
   .halHeap > HALHEAP PAGE 0
   {
     __lcf_hal_heap_start = .;
     ../dcfg/c64x/make/diagbuf.oc(.halHeap)
    __lcf_hal_heap_end = .;
   } 

   .gmacDmaTx0 > GMACTX1 PAGE 0
   {
     __lcf_hal_gmac_tx_a_start = .;
     ../dcfg/c64x/make/diagbuf.oc(.gmacDmaTx0)
     __lcf_hal_gmac_tx_a_end   = .;
   }

   .gmacDmaRx0 > GMACRX1 PAGE 0
   {
     __lcf_hal_gmac_rx_a_start = .;
     ../dcfg/c64x/make/diagbuf.oc(.gmacDmaRx0)
     __lcf_hal_gmac_rx_a_end   = .;
   }

   .gmacRxAssem0 > GMACASSEM1 PAGE 0
   {
     __lcf_hal_gmac_rx_assem_a_start = .;
     ../dcfg/c64x/make/diagbuf.oc(.gmacRxAssem0)
     __lcf_hal_gmac_rx_assem_a_end = .;
   }

   .text1 > ISRCXT | ISRCXT2 PAGE 0
   {
     /* Keep halicxt.oa and isrcntxt.oa in close proximity due to 12 bit offset addressing */
     ../../hal/c64x/shannon/make/hal.lib<isrcntxt.oa>(.text)
     ../../hal/c64x/shannon/make/hal.lib<exchndlr.oa>(.text)
   } 

   .text_un > PRG_UN PAGE 0
   {
      ../dsiu/c64x/make/dsiuini.oc(.text)
      ../dsiu/c64x/make/dsiuboot.oc(.text)
      ../dsiu/c64x/make/dsiumacbt.oc(.text)
   } 

   .text_rsvd > PRG_RSVD  PAGE 0
   {
    *(.text)
   }

   GROUP (NEAR_DP_RELATIVE)
   {
    .neardata
    .rodata
    .bss
   }>BSS

   .bss: fill = 0x00 > BSS PAGE 0
   {
       __bss_core_begin = .;
       *(.far)
       __bss_core_end = .;
   } 

   .cinit > CINIT PAGE 0
   {
       __core_cinit = .;
       /*
       *(.cinit)
       */
   } 

   .fardata > FARDATA /* warning on COFF build is OK */

  /* DSPIMAGE has bitmap of codecs and is used only by micro */
  /* it is not used by DSP and is placed in page 4 */
  DSP_IMAGE  > DSPIMAGE PAGE 4

}


