/*
 *
 * Copyright (C) 2010 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Platform definition */

var memory = [];

memory[0] = ["BCODE",
	{
		name: "BCODE",
		base: 0xC0BCF00,
		len: 0x1000,
		space: "code"
	}];

memory[1] = ["BDATA",
	{
		name: "BDATA",
		base: 0x82B180,
		len: 0x02000,
		space: "data"
	}];

memory[2] = ["DATA_STACK",
	{
		name: "DATA_STACK",
		base: 0x827180,
		len: 0x4000,
		space: "data"
	}];
	
memory[3] = ["INT_IPC",
	{
		name: "INT_IPC",
		base: 0xC200000,
		len: 0x8000,
		space: "code/data"
	}]; /* Remember to change sharedMem.xs */	
	
memory[4] = ["FC_L2SRAM",
	{
		name: "FC_L2SRAM",
		base: 0x82ED90,
		len: 0x1500,
		space: "data"
	}];

Build.platformTable['ti.platforms.evm6678'] = {
	customMemoryMap: memory,
	codeMemory: "BCODE",
	dataMemory: "BDATA",
	stackMemory: "DATA_STACK"
};

