/************************************************************************
:*                                                                      *
:*     @ Copyright (C) 2010  Texas Instruments Incorporated.            *
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#ifndef _TSIP_APP_H
#define _TSIP_APP_H

/****************************************************************************************
 * FILE PURPOSE: Provide the tsip API to the upper level hal layer
 ****************************************************************************************
 * FILE NAME: tsip_app.h
 *
 * DESCRIPTION: Provides the api and definitions required to interface to the
 *              bond layer of the tsip
 *
 ****************************************************************************************/


/****************************************************************************************
 *                           Function prototypes
 ****************************************************************************************/


/* halTsipControl maps to halTdmControl in the HAL api. Provides port as well as
 *                individual timeslot control */
halReturn_t  halTsipControl (tint halId, halTdmControl_t *ctl);
halReturn_t  halTsipGetSizes (tint *nbufs, halMemBuffer_t **bufs, halTdmInit_t *tdmInit);
halReturn_t  halTsipInit (halTdmInit_t *cfg, tint nbufs, halMemBuffer_t *bufs);


void halTsipAllocAndInit  (void *base,  tuint size, halTdmInit_t *newCfg,
                           Tsip_PortHandle *portHandle, halReturn_t *ret);


#endif /* _TSIP_APP_H */





