/************************************************************************
:*                                                                      *
:*     @ Copyright (C) 2009  Texas Instruments Incorporated.            *
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#ifndef _CSLCORE_H
#define _CSLCORE_H
/***************************************************************************************
 * FILE PURPOSE: Provide core specific definitions
 ***************************************************************************************
 * FILE NAME: cslcore.h
 *
 * DESCRIPTION: Definitions specific to the core only
 *
 ***************************************************************************************/
 
/* The 64x cores address in 8 bits words. */
#define CSL_CORE_BYTES_TO_WORDS(x)  (x)
#define CSL_CORE_WORDS_TO_BYTES(x)  (x)

/* Alignments. An address anded with this which results in 0 is 32 bit aligned */
#define CSL_CORE_ALIGN_32BITS_ADDR_MASK     3

/* The maximum number of words required to be added to any address to get 32 bit
 * alignment */
#define CSL_CORE_ALIGN_MAX_WORDS_TO_32BIT   3

/* Definitions with required sizes */
typedef unsigned        cslUint32;
typedef unsigned short  cslUint16;
typedef unsigned char   cslWord;






#endif /* _CSLCORE_H */




