#ifndef _INTR64X_H_
#define _INTR64X_H_
/************************************************************************/
/*                                                                      */
/*     Copyright (C) 2000  Texas Instruments Incorporated.              
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
/*                                    Revision:   1.0                   */
/************************************************************************/
/*                                                                      */
/* File Name  : c64xint.h                                               */
/*                                                                      */
/* Description: Header file describing Interrupt and trap numbers       */
/*               for the Interrupts in C64x                             */
/*                                                                      */
/* MACROS:                                                              */
/*          INTR_GLOBAL_ENABLE                                          */
/*          INTR_GLOBAL_DISABLE                                         */
/*                                                                      */
/* Date : 12th Feb 2002                     OWNERSHIP : Tarakeshwar N.C */
/*                                                                      */
/* Ref: Chapter 14 - Interrupt Selector and External Interrupts         */
/*      of spru190d.pdf                                                 */
/************************************************************************/

#include "c64xreg.h"
#include "device.h"

/******************************************************************/
/* Define Interrupt control registers                             */
/******************************************************************/
extern cregister  volatile unsigned int AMR ;
extern cregister  volatile unsigned int CSR ;
extern cregister  volatile unsigned int IER ;
extern cregister  volatile unsigned int IFR ;
extern cregister  volatile unsigned int ISR ;
extern cregister  volatile unsigned int ICR ;
extern cregister  volatile unsigned int ISTP ;
extern cregister  volatile unsigned int NRP ;
extern cregister  volatile unsigned int TSR ; /* 16 May 2006: GEM Exception handling*/

/* Aliases used by voice hal -- only those used are placed here */
/* New code can use full name */
/* IER bits */
#define NMIE        (CSL_CHIP_IER_NMI_SHIFT)

/* CSR bits */
#define GIE         (CSL_CHIP_CSR_GIE_SHIFT)

/* TSR bits */
#define XEN         (CSL_CHIP_TSR_XEN_SHIFT)
#define GEE         (CSL_CHIP_TSR_GEE_SHIFT)

#endif  //_INTR64X_H_

/*c64xint.h  - nothing past this point*/

