#ifndef _CSLTPCC_H
#define _CSLTPCC_H
/********************************************************************************
 * FILE PURPOSE: Define the csl tpcc api
 ********************************************************************************
 * FILE NAME: csltpcc.h
 *
 * DESCRIPTION: Defines the csl third party channel controller interface
 *
 * Copyright (C) 2006, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
 
/* Serial port setup configuration */
enum {
  CSL_TPCC_FROM_PORT,
  CSL_TPCC_TO_PORT
};

typedef struct cslTpccMcbspCfg_s {

  tint channel;     /* The dma channel number  */
  tint ping;        /* The ping parameter set  */
  tint pong;        /* The pong parmaeter set  */
  tint direction;   /* To port or from port    */
  tint bufSize;     /* The size of the dma buffer */
  tint initSize;    /* The first buffer size - used to sync tx and rx */
  tint *src;        /* Source address */
  tint *dest;       /* Destination address */
  bool intEnable;   /* Set to true to generate an interrupt */
  tint tsSize;
} cslTpccMcbspCfg_t;

/* prototypes */
void cslEdmaInit (void);
void cslEdmaMemToMemSetup (tint channel, tint reloadSet);
void cslEdmaDataTransfer (tint channel, UINT32 dest, UINT32 src, UINT32 size);
void cslEdmaDataTransferIChain (tint channel, UINT32 dest, UINT32 src, UINT32 size, tint nextChan);
void cslEdmaDataTransferChainEnd (tint channel, UINT32 dest, UINT32 src, UINT32 size);
void cslEdmaGenEvent (tint channel);
void cslEdmaMapChannelToBestQueue (tint channel);
bool cslEdmaGetIntStatus (tint channel);
void cslTpccMcBspConfig (cslTpccMcbspCfg_t *cfg);
void cslEdmaMemSet (tint channel, UINT32 dest, UINT32 sizeBytes, UINT32 pSrc, UINT32 fwid);
tuint *cslDmaReadActiveDestAddress (tint channel);




#endif /* _CSLTPCC_H */



