/************************************************************************
:*                                                                      *
:*     @ Copyright (C) 2009  Texas Instruments Incorporated.            *
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/***********************************************************************************
 * FILE PURPOSE: Provide interrupt controller definitions local to the gem core
 ***********************************************************************************
 * FILE NAME: cslgemisrloc.h
 *
 * DESCRIPTION: sub-module local definitions
 *
 ***********************************************************************************/
 
/* Location of the reset and NMI bits in the interrupt enable register */
#define CSL_GEM_IER_REG_NMI_BIT     (1 << 1)
#define CSL_GEM_CSR_REG_GIE_BIT     (1 << 0)


/************************************************************************************
 * Generic bit extraction macros
 ************************************************************************************/
#define INTCTL_BITMASK(x,y)      (   (   (  (1 << ((x)-(y)+1) ) - 1 )   )   <<  (y)   )
#define CSL_INTCTL_READ_BITFIELD(z,x,y)   ((z) & INTCLT_BITMASK(x,y)) >> (y)
#define CSL_INTCTL_SET_BITFIELD(z,f,x,y)  ((z) & ~INTCTL_BITMASK(x,y)) | ( ((f) << (y)) & INTCTL_BITMASK(x,y) )

/* TEMPORARY */
#ifndef UINT32
typedef unsigned int UINT32;
#endif




