/*************************************************************************************
 * FILE PURPOSE: Define the power controller api
 *************************************************************************************
 * FILE NAME: cslpower_api.h
 *
 * DESCRIPTION: Defines the power controller api. Not all devices have a power control,
 *				and these can be defined out in device.h.
 *
 *              No definitions of peripherals are provided. These are done directly
 *              in device.h
 *
 * Copyright (C) 2005, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include "types.h"


/* Possible power states */
#define  CSL_POWER_STATE_POWER_DISABLE   0
#define  CSL_POWER_STATE_POWER_ENABLE    1
#define  CSL_POWER_STATE_RESET           2   /* Asset reset */
#define  CSL_POWER_STATE_SYNC_RESET      3   /* Reset module and re-enable */

#define  CSL_MODULE_STATE_POWER_DISABLE   0
#define  CSL_MODULE_STATE_POWER_ENABLE    3

/* The power saver API. device.h can define these to be empty */
#ifndef cslPowerStateSet
void cslPowerStateSet (tuint devInfo, tint newState);
#endif

#ifndef cslPowerStateGet
tint cslPowerStateGet (tuint devInfo);
#endif

#ifdef PA_SS
tuint halPowerUpPass(void);
#endif




