#ifndef _UTLPORT_H
#define _UTLPORT_H
/******************************************************************************
 * FILE PURPOSE: Prototypes for functions that may be inlined for certain 
 *               processors but implemented on others
 ******************************************************************************
 * FILE NAME: utlport.h  
 *
 * DESCRIPTION: 
 *
 * TABS: NONE
 *
 * $Id: utlport.h 1.1 1998/12/05 13:40:35 BONAL Exp $
 *
 * REVISION HISTORY:
 *
 * $Log: utlport.h $
 * Revision 1.1  1998/12/05 13:40:35  BONAL
 * Initial revision
 *
 * (C) Copyright 1997, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
  
#include "types.h"

static inline void utlSleep ( tuint period, tuint wake_up_interrupt_mask )
{
  return;  /*Not implemented TODO for c64x */
}

/* Memcpy is more efficient on c6x inspite of call/return because it
   copies 64-bit at a time if buffer is properly aligned */
static inline void utlMemCopy (void *output, void *input, int length) {
  memcpy(output,input,length);
}


#pragma CODE_SECTION (utlDot,".freqUsedProg")
#pragma CODE_SECTION (utlVecSum,".freqUsedProg")
#pragma CODE_SECTION (utlLVecSum,".freqUsedProg")
#pragma CODE_SECTION (utlVecAbsSum,".freqUsedProg")
#pragma CODE_SECTION (utlLsVecMax,".freqUsedProg")
#pragma CODE_SECTION (utlLFractVecMax,".freqUsedProg")

#pragma CODE_SECTION (tblUlawCmpr,".freqUsedProg")
#pragma CODE_SECTION (tblAlawCmpr,".freqUsedProg")
#pragma CODE_SECTION (utlWrite8bits,".freqUsedProg")
#pragma CODE_SECTION (utlWrite32bits,".freqUsedProg")
#pragma CODE_SECTION (utlWrite16bits,".freqUsedProg")
#pragma CODE_SECTION (utlUnpackWordsIntoBytes,".freqUsedProg")
#pragma CODE_SECTION (utlRepackWordsIntoWords,".freqUsedProg")
#pragma CODE_SECTION (utlRead8bits,".freqUsedProg")
#pragma CODE_SECTION (utlRead32bits,".freqUsedProg")
#pragma CODE_SECTION (utlRead16bits,".freqUsedProg")
#pragma CODE_SECTION (utlPackWordToTuint,".freqUsedProg")
#pragma CODE_SECTION (utlPackBytesIntoWords,".freqUsedProg")
#pragma CODE_SECTION (utlOR16bits,".freqUsedProg")
#pragma CODE_SECTION (utlBytesToWords,".freqUsedProg")
#pragma CODE_SECTION (utlAND16bits,".freqUsedProg")

#pragma CODE_SECTION (utlScaleUp6dB,".freqUsedProg")
#pragma CODE_SECTION (utlScaleDown6dB,".freqUsedProg")
#pragma CODE_SECTION (utlLsMemSet,".freqUsedProg")
#pragma CODE_SECTION (utlLFractMemSet,".freqUsedProg")
#pragma CODE_SECTION (utlFractMemSet,".freqUsedProg")
#pragma CODE_SECTION (utldB2LinPower,".freqUsedProg")
#pragma CODE_SECTION (utlLin2dBPower,".freqUsedProg")

#endif
/* Nothing past this point */   


