#ifndef _CONST_H
#define _CONST_H
/******************************************************************************
 * FILE PURPOSE: Basic DSP constants.
 ******************************************************************************
 * FILE NAME:   const.h
 *
 * DESCRIPTION: This file contains basic DSP constant definitions.
 *
 * TABS: NONE
 *
 * $Id: const.h 1.3 1997/05/21 16:08:05 BOGDANK Exp $
 *
 * REVISION HISTORY:
 *
 * $Log: const.h $
 * Revision 1.3  1997/05/21 16:08:05  BOGDANK
 *     - _COMP_FIRST and _COMP_LAST added
 *    CONST_COMP_FIRST and _LAST added.
 * Revision 1.2  1996/10/07 17:34:16  BOGDANK
 *     - linear companding constant changed
 *    Linear companding constant changed.
 * Revision 1.1  1996/09/10 11:06:36  BOGDANK
 * Initial revision
 *
 * (C) Copyright 1996, 1997, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Default voice bandwith sampling rate */
#define CONST_VOX_SAMPLING_RATE 8000    /* in Hz */

/* Companding laws */
#define CONST_COMP_ALAW_8     0       /* 8-bit A-law */
#define CONST_COMP_FIRST      CONST_COMP_ALAW_8
#define CONST_COMP_MULAW_8    1       /* 8-bit u-law */
#define CONST_COMP_LINEAR     2       /* n-bit linear, i.e. no companding */
#define CONST_COMP_LAST       CONST_COMP_LINEAR

#endif /* _CONST_H */
/* nothing after this point */
