#ifndef _UTLXFERPKT_H
#define _UTLXFERPKT_H
/******************************************************************************
 * FILE PURPOSE: Defines the pkt format used to communicate across ECOs
 ******************************************************************************
 * FILE NAME:   utlxferpkt.h
 *
 * DESCRIPTION: This file contains definitions of enumeration of packet types
 *              and the transfer packet data structure definition.Should be included 
 *              by ECOs that pass packets as thier output to another ECO or receive
 *              packets as input from other ECOSs
 *
 *
 * TABS: NONE
 * Initial revision
 *
 * (C) Copyright 1996, 1997, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include <ti/mas/types/types.h>
#include <ti/mas/iface/ifpkt/xferpkt.h>

typedef xferpktType_t xferPktType_t;
typedef xferpktInfo_t xferPktInfo_t;

#define XFER_PKT_TYPE_NULL       xferpkt_TYPE_NULL
#define XFER_PKT_TYPE_AAL1       xferpkt_TYPE_AAL1
#define XFER_PKT_TYPE_AAL2       xferpkt_TYPE_AAL2
#define XFER_PKT_TYPE_FRF11      xferpkt_TYPE_FRF11
#define XFER_PKT_TYPE_S3         xferpkt_TYPE_S3
#define XFER_PKT_TYPE_XPT        xferpkt_TYPE_XPT
#define XFER_PKT_TYPE_RTP        xferpkt_TYPE_RTP
#define XFER_PKT_TYPE_RTCP       xferpkt_TYPE_RTCP
#define XFER_PKT_TYPE_HDLC       xferpkt_TYPE_HDLC
#define XFER_PKT_TYPE_ANNOUNCE   xferpkt_TYPE_ANNOUNCE
#define XFER_PKT_TYPE_FAX        xferpkt_TYPE_FAX
#define XFER_PKT_TYPE_CLEARDATA  xferpkt_TYPE_CLEARDATA
#define XFER_PKT_TYPE_ALIVE      xferpkt_TYPE_ALIVE
#define XFER_PKT_TYPE_FEC        xferpkt_TYPE_FEC
#define XFER_PKT_TYPE_MSG_LOW    xferpkt_TYPE_MSG_LOW 
#define XFER_PKT_TYPE_MSG_NORMAL xferpkt_TYPE_MSG_NORMAL 
#define XFER_PKT_TYPE_MSG_HIGH   xferpkt_TYPE_MSG_HIGH 

#endif /* _UTLXFERPKT_H */

