/************************************************************************
:*                                                                      *
:*     @ Copyright (C) 2009  Texas Instruments Incorporated.            *
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include "ggswcfg.h"
#include "ndu.h"
#include "nduloc.h"
#include "nduport.h" /* for #pragma definitions of Norm,High,Low */
#if (defined(NDU_DBG4) || defined(NDU_DBG5))
	mgb_t msgTest;
	tuint msgTest_flag;
	tuint gelTest_flag;
	mgb_t sigTest;
	tuint sigTest_flag;
#endif
NDU_callTable_t 	*NDU_pCallTable;
  
#ifdef NDU_LEGACY_HPI
	NDU_callTable_t     NDU_callTable = 
	{
      NDU_LegSendMsg,
      NDU_LegSendData,
      NDU_LegGetMsg,
      NDU_LegMsgBg,
      NDU_LegGetData,
      NULL,
      NDU_LegConfig,
      NDU_LegGetStats,
      NDU_LegSetIntMode,
      NDU_LegControl 
	};
#endif

#if defined(NDU_NEW_HPI)
	NDU_callTable_t     NDU_nduv1CallTable =
	{
		NDU_nduv1SendMsg,
		NDU_nduv1SendData,
		NDU_nduv1GetMsg,
		NDU_nduv1MsgBg,
		NDU_nduv1GetData,
        NULL,
		NDU_nduv1Config,
		NDU_nduv1GetStats,
		NDU_nduv1SetIntMode,		
   NDU_nduv1Control 
	};
#endif

#if defined(NDU_UTOPIA)
  NDU_callTable_t     NDU_utCallTable =
   {
		NDU_utSendMsg,       
		NDU_utSendData,      
		NDU_utGetMsg,        
		NDU_utMsgBg,         
		NDU_utGetData,      
        NULL,
		NDU_utConfig,        
		NDU_utGetStats,      
		NDU_utSetIntMode,
   NDU_utControl,		
   ndu_UtHealthSend,
   NDU_utPushRcvData
   };
#endif

#if defined(NDU_GMAC)
  NDU_callTable_t     NDU_gmacCallTable =
  {
    NDU_gmacSendMsg,       
    NDU_gmacSendData,      
    NDU_gmacGetMsg,        
    NDU_gmacMsgBg,         
    NDU_gmacReceive,      
#if defined(GG_INCLUDE_MACR) || defined(PA_SS)
    NDU_gmacReceiveSecond,
#else
    NULL,
#endif
    NDU_gmacConfig,        
    NDU_gmacGetStats,      
    NDU_gmacSetIntMode,
    (int (*)(NDU_ctrlcode_e, NDU_control_t *))NDU_gmacControl,		
    NULL
  };
#endif

#if defined(NDU_HD_NDU)
   NDU_callTable_t     NDU_hdCallTable =
   {
		NDU_hdSendMsg,       
		NDU_hdSendData,      
		NDU_hdGetMsg,        
		NDU_hdMsgBg,         
		NDU_hdopiaReceive,      
        NULL,
		NDU_hdConfig,        
		NDU_hdGetStats,      
		NDU_hdSetIntMode,
   NDU_hdControl		
   };
#endif  /* NDU_UtCallTable needs to defined even though build does not support
             Utopia since siuinit and siuanu use it for address comparison       */

#ifndef NDU_UTOPIA
#ifndef NDU_GMAC
	tuint   NDU_rxScratch[256];   //TODO;
#endif 
#endif
#if (defined(NDU_HD_NDU))
union NDU_uthdContext_t	NDU_uthdContext; /* Common to Utopia and HD Interfaces */
#endif 
