/************************************************************************
:*                                                                      *
:*     @ Copyright (C) 2009  Texas Instruments Incorporated.            *
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include "ggswcfg.h"
#include "ndu.h"

void NDU_LegGetStats(struct MGB_DMS_GET_NETWORK_STAT *, bool reset);
void NDU_utGetStats(NduStats_t *, bool reset);
void NDU_gmacGetStats(NduStats_t *, bool reset);
void NDU_hdnduGetStats(struct MGB_DMS_GET_NETWORK_STAT *, bool reset);
void NDU_nduv1GetStats(struct MGB_DMS_GET_NETWORK_STAT *, bool reset);

tint NDU_LegSendMsg(mgb_t *msg, NDU_DPRMsgType_t level, bool fDrop);
tint NDU_utSendMsg(mgb_t *msg, NDU_DPRMsgType_t level, bool fDrop);
tint NDU_gmacSendMsg(mgb_t *msg, NDU_DPRMsgType_t level, bool fDrop);
tint NDU_hdnduSendMsg(mgb_t *msg, NDU_DPRMsgType_t level, bool fDrop);
tint NDU_nduv1SendMsg(mgb_t *msg, NDU_DPRMsgType_t level, bool fDrop);

void NDU_LegSendData(tuint, xferPktInfo_t *);
tint NDU_utSendData(tuint, xferPktInfo_t *);
tint NDU_gmacSendData(tuint, xferPktInfo_t *);
void NDU_hdnduSendData(tuint, xferPktInfo_t *);
tint NDU_nduv1SendData(tuint, xferPktInfo_t *);

void NDU_LegMsgBg(void);
void NDU_utMsgBg(void);
void NDU_gmacMsgBg(void);
void NDU_hdnduMsgBg(void);
void NDU_nduv1MsgBg(void);

tint NDU_LegConfig(NDU_config_t *);
tint NDU_utConfig(NDU_config_t *);
tint NDU_gmacConfig(NDU_config_t *);
tint NDU_hdnduConfig(NDU_config_t *);
tint NDU_nduv1Config(NDU_config_t *);

void NDU_LegSetIntMode(tuint);
void NDU_utSetIntMode(tuint);
void NDU_gmacSetIntMode(tuint);
void NDU_hdnduSetIntMode(tuint);
void NDU_nduv1SetIntMode(tuint);

tint NDU_LegGetMsg(NDU_msgPriority_e);
tint NDU_utGetMsg(NDU_msgPriority_e);
tint NDU_gmacGetMsg(NDU_msgPriority_e);
tint NDU_hdnduGetMsg(NDU_msgPriority_e);
tint NDU_nduv1GetMsg(NDU_msgPriority_e);

tint NDU_LegGetData(void);
tint NDU_hdnduGetData(void);
tint NDU_nduv1GetData(void);
tint NDU_utGetData(void);
void NDU_gmacReceive(void *cxt, word *cell, tuint sizeBytes);

int NDU_LegControl(NDU_ctrlcode_e c_code,NDU_control_t *ctl);
int NDU_nduv1Control(NDU_ctrlcode_e c_code,NDU_control_t *ctl);
int NDU_utControl(NDU_ctrlcode_e c_code,NDU_control_t *ctl);
int NDU_gmacControl(tuint c_code, void *ctl);
int NDU_hdnduControl(NDU_ctrlcode_e c_code,NDU_control_t *ctl);

#if !defined(GG_INCLUDE_MACR) && !defined(PA_SS) 
static inline
#endif
void NDU_gmacReceiveSecond (void *cxt, word *cell, tuint sizeBytes, xferPktInfo_t *pktOut, void *vInst);

void utndu_open_neu (void *neuInst, diagApp_t *diagApp, diagAppHeader_t *hdr, void *tInst, tint (*neuOut)(void *, xferPktInfo_t *),NDU_config_t *config);
void utndu_rxcall_neu (void *inst, tint (*fcn)(void *, xferPktInfo_t *), void *rcvInst);
void utndu_create_msg_aal5(void);
tint utndu_msg_send (void *inst, xferPktInfo_t *pkt);
tint utndu_rcv_message (void *inst, xferPktInfo_t *pkt);
tint nduUtSendInCore (void *inst, xferPktInfo_t *pktInfo);
tint nduGmacSendInCore (void *inst, xferPktInfo_t *pktInfo);
void *ndu_ut_modify_vc_msg_header (NDU_DPRMsgType_t mtype, mgb_t *msg);

void NDU_utPushRcvData(tuint utopiaChannelId, word *cell, tuint sizeBytes);

#if (defined(NDU_DBG4) || defined(NDU_DBG5))
extern mgb_t msgTest;
extern tuint msgTest_flag;
extern mgb_t sigTest;
extern tuint sigTest_flag;
#endif
