#ifndef _SIUREGSAVE_H
#define _SIUREGSAVE_H
/******************************************************************************
 * FILE PURPOSE: SIU definitions for registers save
 ******************************************************************************
 * FILE NAME:   siuregsave.h
 *
 * DESCRIPTION: Contains SIU definitions for register save
 *              The function is invoked before DSP halt - to make register 
 *              values visible.
 * TABS: NONE
 *
 * (C) Copyright 2011, Texas Instruments Inc. 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
typedef struct siuC64xPlusReg_s {
  unsigned int footprint;
  
  unsigned int istp;
  unsigned int ifr;
  unsigned int ier;
  unsigned int irp;
  unsigned int nrp;
  unsigned int amr;
  unsigned int csr;
  unsigned int gfpgfr;
  unsigned int dier;
  unsigned int tsr;
  unsigned int itsr;
  unsigned int ntsr;
  unsigned int efr;
  unsigned int ierr;
  unsigned int ssr;
  unsigned int ilc;
  unsigned int rilc;
  unsigned int gplya;
  unsigned int gplyb;
  unsigned int tscl;
  unsigned int tsch;
  unsigned int dnum;
  unsigned int rep;
  
  unsigned int a0;
  unsigned int a1;
  unsigned int a2;
  unsigned int a3;
  unsigned int a4;
  unsigned int a5;
  unsigned int a6;
  unsigned int a7;
  unsigned int a8;
  unsigned int a9;
  unsigned int a10;
  unsigned int a11;
  unsigned int a12;
  unsigned int a13;
  unsigned int a14;
  unsigned int a15;
  unsigned int a16;
  unsigned int a17;
  unsigned int a18;
  unsigned int a19;
  unsigned int a20;
  unsigned int a21;
  unsigned int a22;
  unsigned int a23;
  unsigned int a24;
  unsigned int a25;
  unsigned int a26;
  unsigned int a27;
  unsigned int a28;
  unsigned int a29;
  unsigned int a30;
  unsigned int a31;
  
  unsigned int b0;
  unsigned int b1;
  unsigned int b2;
  unsigned int b3;
  unsigned int b4;
  unsigned int b5;
  unsigned int b6;
  unsigned int b7;
  unsigned int b8;
  unsigned int b9;
  unsigned int b10;
  unsigned int b11;
  unsigned int b12;
  unsigned int b13;
  unsigned int b14;
  unsigned int b15;
  unsigned int b16;
  unsigned int b17;
  unsigned int b18;
  unsigned int b19;
  unsigned int b20;
  unsigned int b21;
  unsigned int b22;
  unsigned int b23;
  unsigned int b24;
  unsigned int b25;
  unsigned int b26;
  unsigned int b27;
  unsigned int b28;
  unsigned int b29;
  unsigned int b30;
  unsigned int b31;
  
} siuC64xPlusReg_t;

#endif  /* _SIUREGSAVE_H */

