;*
;*
;* Copyright (C) 2010 Texas Instruments Incorporated - http://www.ti.com/ 
;* 
;* 
;*  Redistribution and use in source and binary forms, with or without 
;*  modification, are permitted provided that the following conditions 
;*  are met:
;*
;*    Redistributions of source code must retain the above copyright 
;*    notice, this list of conditions and the following disclaimer.
;*
;*    Redistributions in binary form must reproduce the above copyright
;*    notice, this list of conditions and the following disclaimer in the 
;*    documentation and/or other materials provided with the   
;*    distribution.
;*
;*    Neither the name of Texas Instruments Incorporated nor the names of
;*    its contributors may be used to endorse or promote products derived
;*    from this software without specific prior written permission.
;*
;*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
;*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
;*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
;*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
;*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
;*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
;*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
;*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
;*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
;*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
;*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
;*



; ************************************************************************************************
; * One conditional to allow the rest of the code to be ABI agnostic
; ************************************************************************************************
    .if __TI_EABI__
    .asg      siuStoreRegSets,         _siuStoreRegSets
    .endif

	.global _siuStoreRegSets
	.asg	B15, SP

	.cdecls  C,LIST, "siuregsave.h"


	; on Entry A4 contains a pointer to the siuC64xPlusReg structure
	; A4 and B0

_siuStoreRegSets:
    
	MV   B14, B0
	MV   A4,  B14

	STW  A0, *+B14(siuC64xPlusReg_t.a0)
	STW  A1, *+B14(siuC64xPlusReg_t.a1)
	STW  A2, *+B14(siuC64xPlusReg_t.a2)
	STW  A3, *+B14(siuC64xPlusReg_t.a3)
	STW  A4, *+B14(siuC64xPlusReg_t.a4)
	STW  A5, *+B14(siuC64xPlusReg_t.a5)
	STW  A6, *+B14(siuC64xPlusReg_t.a6)
	STW  A7, *+B14(siuC64xPlusReg_t.a7)
	STW  A9, *+B14(siuC64xPlusReg_t.a8)
	STW  A9, *+B14(siuC64xPlusReg_t.a9)
	STW  A10, *+B14(siuC64xPlusReg_t.a10)
	STW  A11, *+B14(siuC64xPlusReg_t.a11)
	STW  A12, *+B14(siuC64xPlusReg_t.a12)
	STW  A13, *+B14(siuC64xPlusReg_t.a13)
	STW  A14, *+B14(siuC64xPlusReg_t.a14)
	STW  A15, *+B14(siuC64xPlusReg_t.a15)
	STW  A16, *+B14(siuC64xPlusReg_t.a16)
	STW  A17, *+B14(siuC64xPlusReg_t.a17)
	STW  A18, *+B14(siuC64xPlusReg_t.a18)
	STW  A19, *+B14(siuC64xPlusReg_t.a19)
	STW  A20, *+B14(siuC64xPlusReg_t.a20)
	STW  A21, *+B14(siuC64xPlusReg_t.a21)
	STW  A22, *+B14(siuC64xPlusReg_t.a22)
	STW  A23, *+B14(siuC64xPlusReg_t.a23)
	STW  A24, *+B14(siuC64xPlusReg_t.a24)
	STW  A25, *+B14(siuC64xPlusReg_t.a25)
	STW  A26, *+B14(siuC64xPlusReg_t.a26)
	STW  A27, *+B14(siuC64xPlusReg_t.a27)
	STW  A28, *+B14(siuC64xPlusReg_t.a28)
	STW  A29, *+B14(siuC64xPlusReg_t.a29)
	STW  A30, *+B14(siuC64xPlusReg_t.a30)
	STW  A31, *+B14(siuC64xPlusReg_t.a31)

    ; B0 contains the entry value of B14 
	STW  B0, *+B14(siuC64xPlusReg_t.b14)

	STW  B1, *+B14(siuC64xPlusReg_t.b1)
	STW  B2, *+B14(siuC64xPlusReg_t.b2)
	STW  B3, *+B14(siuC64xPlusReg_t.b3)
	STW  B4, *+B14(siuC64xPlusReg_t.b4)
	STW  B5, *+B14(siuC64xPlusReg_t.b5)
	STW  B6, *+B14(siuC64xPlusReg_t.b6)
	STW  B7, *+B14(siuC64xPlusReg_t.b7)
	STW  B8, *+B14(siuC64xPlusReg_t.b8)
	STW  B9, *+B14(siuC64xPlusReg_t.b9)
	STW  B10, *+B14(siuC64xPlusReg_t.b10)
	STW  B11, *+B14(siuC64xPlusReg_t.b11)
	STW  B12, *+B14(siuC64xPlusReg_t.b12)
	STW  B13, *+B14(siuC64xPlusReg_t.b13)

    ; B14 already done 
	STW  B15, *+B14(siuC64xPlusReg_t.b15)
	STW  B16, *+B14(siuC64xPlusReg_t.b16)
	STW  B17, *+B14(siuC64xPlusReg_t.b17)
	STW  B18, *+B14(siuC64xPlusReg_t.b18)
	STW  B19, *+B14(siuC64xPlusReg_t.b19)
	STW  B20, *+B14(siuC64xPlusReg_t.b20)
	STW  B21, *+B14(siuC64xPlusReg_t.b21)
	STW  B22, *+B14(siuC64xPlusReg_t.b22)
	STW  B23, *+B14(siuC64xPlusReg_t.b23)
	STW  B24, *+B14(siuC64xPlusReg_t.b24)
	STW  B25, *+B14(siuC64xPlusReg_t.b25)
	STW  B26, *+B14(siuC64xPlusReg_t.b26)
	STW  B27, *+B14(siuC64xPlusReg_t.b27)
	STW  B28, *+B14(siuC64xPlusReg_t.b28)
	STW  B29, *+B14(siuC64xPlusReg_t.b29)
	STW  B30, *+B14(siuC64xPlusReg_t.b30)
	STW  B31, *+B14(siuC64xPlusReg_t.b31)

    BNOP B3, 5
   
   
