#ifndef _SIUTBLFN_H
#define _SIUTBLFN_H
/******************************************************************************
 * FILE PURPOSE: Define message processing dispatch functions 
 ******************************************************************************
 * FILE NAME:   siutblfn.h
 *
 * DESCRIPTION: Contains declaration to facilitate porting of tables accessed  
 *              from program memory
 *
 * TABS: NONE
 *
 * $Id: $
 *
 * REVISION HISTORY:
 *
 * $Log: $

 * Initial revision
 *
 * (C) Copyright 2002, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include "types.h" 
#include "common/siuloc.h"
#include "common/siu.h"
#include "common/siuctbl.h"

extern const siuIndepDispatch_t siuMsgTableChIndep[];
extern const siuDispatch_t  ChClosedStateTable[];
extern const siuDispatch_t  ChIdleStateTable[];
extern const siuDispatch_t  ChVoiceStateTable[];
extern const siuDispatch_t  ChDtmfStateTable[];
extern const siuDispatch_t  ChFaxRelayStateTable[];
extern const siuDispatch_t  ChTranspStateTable[];
extern const siuDispatch_t  ChDataModemStateTable[];
extern const siuDispatch_t  ChFaxTermStateTable[];
extern const siuDispatch_t  ChClearDataStateTable[];
extern const siuDispatch_t  ChBitErrorRateTestStateTable[];
extern const siuDispatch_t  ChModemRelayStateTable[];
extern const siuDispatch_t  ChNx64StateTable[];
extern const siuDispatch_t  ChCpIdleStateTable[];
extern const siuDispatch_t  ChCpDtmfStateTable[];
extern const siuDispatch_t  ChCpClearDataStateTable[];
extern const siuDispatch_t  ChCpModemTermStateTable[];
extern const siuDispatch_t  ChCpFaxTermStateTable[];
extern const siuDispatch_t  InterruptMessageTable[];
extern const siuDispatch_t  ChAudioStateTable[];
extern const siuDispatch_t  ChVideoStateTable[];
#endif
/* Nothing past this point */
