#ifndef _SIU_H
#define _SIU_H
/******************************************************************************
 * FILE PURPOSE: Software Integration Unit Definitions.
 ******************************************************************************
 * FILE NAME:   siu.h
 *
 * DESCRIPTION: Contains public definitions for SIU.
 *
 * TABS: NONE
 *
 * $Id: siu.h 1.1 1997/08/05 21:01:43 ffruth Exp $
 *
 * REVISION HISTORY:
 *
 * $Log: siu.h $
 * Revision 1.1  1997/08/05 21:01:43  ffruth
 * Initial revision
 *
 * (C) Copyright 1997, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include "types.h"
#include "memmgm.h"

/* siumain.c */
void siuMain      (void);
void siuTaskScheduler (void);
void siu_dsp_halt (tuint id, char *s);

tint siuGetSizes(tint *nbufs, const memBuffer_t **bufs, void *sizeCfg);

#ifdef TRACE_DBG
/******************************************************************************
 * DATA DEFINITION:  SIU debugging trace parameters and prototypes 
 ******************************************************************************
 * DESCRIPTION:  Defines parameters utilized for implementing SIU's trace
 *               debugging capability.
 *
 *****************************************************************************/

/* Define the trace buffer size in numbers of trace entries   */
/* (i.e., each entry is 4 words)                              */
#define SIU_TRACE_BUF_SIZE   25

/* Function prototype for inputing an entry in the trace buffer */
void siu_trace_write (tuint value1, tuint value2);
#endif /* TRACE_DBG */

#endif /* _SIU_H */
/* nothing past this point */
