/************************************************************************
:*                                                                      *
:*     @ Copyright (C) 2009  Texas Instruments Incorporated.            *
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#ifdef SIUTBLPRG
#define siuGetDispatchTblStatsReqChst(dst,fcn,ptr)  \
        {fcn(scratch_u.PtrStatsReqChst); dst = scratch_u.PtrStatsReqChst;}
#define siuGetDispatchTblarrayResetChState(dst,fcn,ptr)  \
        {fcn(scratch_u.PtrarrayResetChState); dst = scratch_u.PtrarrayResetChState;}
#define siuGetDispatchTblarrayGetStats(dst,fcn,ptr)  \
        {fcn(scratch_u.PtrarrayGetStats); dst = scratch_u.PtrarrayGetStats;}
#else
#define siuGetDispatchTblStatsReqChst(dst,fcn,ptr) (dst=(ptr))
#define siuGetDispatchTblarrayResetChState(dst,fcn,ptr) (dst=(ptr))
#define siuGetDispatchTblarrayGetStats(dst,fcn,ptr) (dst=(ptr))
#endif

#ifdef SIUTBLPRG
static void siu_init_msg_dispatch (void) {
   dispatchPtr   = (siuDispatch_t *)gg_msg_call_table_scratch;
} 
#endif

#ifdef SIUTBLPRG
#define siuGetDispatchTbl(dst,fcn,ptr)  {fcn(dispatchPtr); dst = dispatchPtr;}
#else
#define siuGetDispatchTbl(dst,fcn,ptr) (dst=(ptr))
#endif

bool siuMsgDispatch (long dtable_padr, int errorCode, siuInst_t *inst, mgb_t *msg);

