/************************************************************************
:*                                                                      *
:*     @ Copyright (C) 2009  Texas Instruments Incorporated.            *
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#ifndef _SIULOC_H
#define _SIULOC_H
#include "types.h"
#include "utlxferpkt.h"
#include "utlbitfield.h"
#include "siuport.h"    /* required for SIU_MAX_VCAS */
#include "micdspdp.h"   /* Legacy NDU structure definition */
#include "micdsphd.h"   /* High density structure definition */
#include "dpriram.h"    /* Legacy/High Density select info */
#include "mhm.h"        /* Multiple heap allocation prototypes */
#include "ggmbuf.h"
#include "util.h"

/* Needed for defining prototype of siuNewCodec */
#include "vmmcomp.h"
#define SIU_LASTCH            (SIU_FIRSTCH+ggConfig.max_channels-1)
#define SIU_ALL_LASTCH        (SIU_FIRSTCH+ggConfig.max_channels+ggConfig.aux_pcm_channels+ggConfig.pkt_channels - 1)
#define SIU_ALL_LASTCH_NOPKT  (SIU_FIRSTCH+ggConfig.max_channels+ggConfig.aux_pcm_channels-1)
#include "hal.h"
#include "common/siundu.h"
/* Useful macros */
#define siuMakeID(mid,chnum)    ((tuint)(mid)<<8|(tuint)(chnum))
#define siuGetModID(mid_chnum)  ( ((tuint)(mid_chnum) >> 8) & 0xFF )
#define SIU_NV_ID_BASE          251
#define siuMakeNvID(mid,nvId)   ((tuint)(mid)<<8|(tuint)(nvId+SIU_NV_ID_BASE))
/* Get unsigned most/least significant word of an unsigned long */

/* combine unsigned least/most significant word to an unsigned long */ 
#define siu_conv_2_tulong(lsb, msb) (((tulong) msb << TYP_TUINT_SIZE) | (tulong) lsb)
#ifdef HDVIDEO
#include "globstats.h"
#include "video/siuVigdkLoc.h"
#elif HDCT
#include "vct/src/siuVctLoc.h"
#else
#include "globstats.h"
#include "voice/siuVoiceLoc.h"
#endif


tint siuNvEcoGetBuffInfo (tint nvId, tuint *buffNum, ggbufDesc_t *memBufInfo);

#endif  /* _SIULOC_H */
/* nothing past this point */

