#ifndef _SIURTCP_H
#define _SIURTCP_H
/******************************************************************************
 * FILE PURPOSE: SIU Call table definitions for RTCP.
 ******************************************************************************
 * FILE NAME:   siurtcp.h
 *
 * DESCRIPTION: Contains local SIU definitions for RTCP.
 *
 * TABS: NONE
 *
 * (C) Copyright 2002, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include "common/siuloc.h"

/* Field offsets and masks */
#define SIU_RTCP_SDES_TYPE_OFF   8
#define SIU_RTCP_SDES_TYPE_MASK  0xFFu
#define SIU_RTCP_SDES_LEN_OFF    0
#define SIU_RTCP_SDES_LEN_MASK   0xFFu

#define SIU_RTCP_TX_REPORT  0
#define SIU_RTCP_RX_REPORT  1

/* Max bytes allowed for CNAME while reporting to HOST */
#define SIU_RTCP_STAT_RPT_MAX_STR_LEN 104

typedef struct {
  void (*control)     (siuInst_t *inst, mgb_t *message);
  void (*sdes_string) (siuInst_t *inst, mgb_t *message);
  void (*send_packet) (siuInst_t *inst, mgb_t *message);
} siuRcuRtcpCtbl_t;

#endif /* _SIURTCP_H */

/* Nothing past this point */
