#ifndef _SIUNEU_H
#define _SIUNEU_H
/******************************************************************************
 * FILE PURPOSE: SIU Call table definitions for NEU.
 ******************************************************************************
 * FILE NAME:   siuneu.h
 *
 * DESCRIPTION: Contains local SIU definitions for NEU.
 *
 * TABS: NONE
 *
 * (C) Copyright 2001, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include "common/siuloc.h"
#include <ti/mas/neu/neu.h>

typedef struct {
  void (*new)       (tint chnum);
  void (*open)      (tint chnum, neuParms_t *cfg);
  void (*globCtrl)  (void *msg);
  void (*getGlobalPktStats) (void *siuInst, bool reset, tuint trans_id, tuint priority);
  void *(*new_nv) (tint nvEcoId, tint txHdrLenWords);
} siuNeuCtbl_t;


#define SIU_ROUTE_TAG_MSG_HEADER_LENGTH   2
#define SIU_VC_DEMUX_MSG_HEADER_LENGTH   4

/******************************************************************************
 * DEFINITION: The maximum length of message header fields in the aal5 payload
 ******************************************************************************/
#if (SIU_ROUTE_TAG_MSG_HEADER_LENGTH > SIU_VC_DEMUX_MSG_HEADER_LENGTH)
#define SIU_UTOPIA_MAX_MSG_HEADER_LENGTH    SIU_ROUTE_TAG_MSG_HEADER_LENGTH
#else
#define SIU_UTOPIA_MAX_MSG_HEADER_LENGTH    SIU_VC_DEMUX_MSG_HEADER_LENGTH
#endif


#endif /* _SIUNEU_H */

/* Nothing past this point */
