#ifndef _SIUTFTP_H
#define _SIUTFTP_H
/******************************************************************************
 * FILE PURPOSE: SIU Call table definitions for TFTP.
 ******************************************************************************
 * FILE NAME:   siutftp.h
 *
 * DESCRIPTION: Contains local SIU definitions for TFTP.
 *
 * TABS: NONE
 *
 * (C) Copyright 2010, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include "common/siuloc.h"
#include <ti/mas/tftp/tftp.h>
#include <ti/mas/iface/ifpkt/xferpkt.h>

/* TBD */
#define SIUTFTP_EXC_NEW_TFTP    0
#define SIUTFTP_EXC_OPEN_TFTP   0

void siu_new_tftp (tint chnum);
void siu_open_tftp (siuInst_t *inst);

tint siu_start_tftp(void *siuInst);
tint siu_stop_tftp(void *siuInst);

tint siu_get_tftp(void *siuInst);
tint siu_put_tftp (siuInst_t *inst, tword *bufPtr, tulong bufSize);
tint siu_send_tftp(void *inst, xferpktInfo_t *pktInfo);
void siuTftpCfg (siuInst_t *inst,  mgb_t *message);

#endif /* _SIUTFTP_H */

/* Nothing past this point */
