#ifndef _SIUTSU_H
#define _SIUTSU_H
/******************************************************************************
 * FILE PURPOSE: SIU Call table definitions for TSU.
 ******************************************************************************
 * FILE NAME:   siutsu.h
 *
 * DESCRIPTION: Contains local SIU definitions for TSU.
 *
 * TABS: NONE
 *
 * (C) Copyright 2009, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include "common/siuloc.h"
#include <ti/mas/tsu/tsu.h>

void siu_new_tsu (tint chnum);
void siu_open_tsu (tint chnum, tuint targetImgWidth, tuint targetImgHeight);
void siu_tsu_control(tint chnum, mgb_t *message);
tbool siu_tsu_coeff_avail (tuint ID, tsuMode_t mode, tuint in_width, tuint in_height, tuint out_width, tuint out_height, void **partner_inst);
tint siu_tsu_process (void *siuInst, word *yuvInputFrame, tuint yuvInputWidth, 
                      tuint yuvInputHeight, word **yuvTransSizedFrame);
#endif /* _SIUTSU_H */

/* Nothing past this point */
