#ifndef _SIUOSAL_H
#define _SIUOSAL_H
/******************************************************************************
 * FILE PURPOSE: Declarations and definitions used by an operating system.
 ******************************************************************************
 * FILE NAME:   siuOsal.h
 *
 * DESCRIPTION: Contains local definitions and API needed by an operating
 *              system.
 *
 * TABS: NONE
 *
 *
 * (C) Copyright 2010, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include "types.h" 

/* signals posted from application */
typedef enum {
  SIU_OSAL_SIGNAL_HANDLE_TXRXSWI        = 0,
  SIU_OSAL_SIGNAL_HANDLE_TASKSCHEDULER  = 1,
  SIU_OSAL_SIGNAL_HANDLE_MESSAGE        = 2
} siuOSAL_SignalID_t;

void siu_osal_start(void);
void siu_osal_post_signal(siuOSAL_SignalID_t signalId);
void siu_osal_wbinv_cache_all(void);
void siu_osal_wbinv_cache(void *base, tulong length, bool wait);
void siu_osal_inv_cache(void *base, tulong length, bool wait);
void siu_osal_wb_cache(void *base, tulong length, bool wait);

#endif
/* nothing past this point */
