#ifndef _SIUVIGDK_IBL_H
#define _SIUVIGDK_IBL_H
/******************************************************************************
 * FILE PURPOSE: Contains IBL specific API.
 ******************************************************************************
 * FILE NAME: siuVigdkIbl.h
 *
 * DESCRIPTION: 
 *
 * (C) Copyright 2011, Texas Instruments Incorporated.
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include <ti/mas/types/types.h>


/* IBL Video demo table */
typedef struct {
  tuint *msgs_start_ptr;
  tuint *msgs_end_ptr;
  tword  mac_address[6];
} siuVigdkIblDemoTable_t;

/* IBL Video Demo global variables defined in siuVigskIblDemos.c */
extern const tulong siuVigdkIblDemoSelection;
extern volatile tulong *siuVigdkIblDemoSelectionPtr;
extern const tword   siuVigdkIblDemoMacAddress[6];
extern const siuVigdkIblDemoTable_t siuVigdkIblDemos[];
extern tulong siuVigdkDiagAppMem[];
extern const tulong siuVigdkDiagAppMemIbl[];


extern volatile tuint siuNumCoreInit;

tbool siu_is_ibl(void);
void siu_ibl_download_core(void);
void siuVigdkIblCfg(void);

#endif /* _SIUVIGDK_IBL_H */
/* nothing past this point */
